MythMusic can crash the frontend if using the "neon-wide" theme.

Bug #244138 reported by Jake on 2008-06-30
2
Affects Status Importance Assigned to Milestone
MythTV
Fix Released
Unknown
Mythbuntu
Fix Released
Undecided
Unassigned
mythtv-theme-neon-wide (Ubuntu)
Undecided
Unassigned

Bug Description

The neon-wide theme can cause mythfrontend to crash, with an entry in
/var/log/mythtv/mythfrontend.log of:

2008-06-29 16:55:27.675 Unable to find image file:
/usr/share/mythtv/themes/neon-wide/ui/rating.png
2008-06-29 16:55:27.676 UIImageType::LoadImage() - Cannot find image:
ui/rating.png

This is because the theme defines in
/usr/share/mythtv/themes/neon-wide/music-ui.xml:

<repeatedimage name="rating_image" draworder="1" fleximage="no">
  <filename>ui/rating.png</filename>
  <position>410,298</position>
  <orientation>LeftToRight</orientation>
</repeatedimage>

when neither the file or directory exist. However, a ratings.png file is
defined at: music/music_rating.png, earlier in the file.

You've made the changes, and have kept a music-ui.xml.BACK to create an
upstream patch. Do remember to make one and send it.

Changed in mythbuntu:
status: New → Fix Committed
Changed in mythtv:
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mythtv-theme-neon-wide - 1:0.21.0-0ubuntu2

---------------
mythtv-theme-neon-wide (1:0.21.0-0ubuntu2) intrepid; urgency=low

  * Enable a patching system in debian/rules.
  * Add patch to work around crashes in mythmusic. (LP: #244138)
  * debian/control:
    - Bump standards version.

 -- Mario Limonciello <email address hidden> Wed, 13 Aug 2008 23:45:21 -0500

Changed in mythtv-theme-neon-wide:
status: New → Fix Released
laga (laga) wrote :

Has this patch gone upstream?

laga (laga) wrote :

Never mind. I've just seen the upstream bug. Oops.

MarcRandolph (mrand) wrote :

Wow - that was fast. Changed in mythtv 0.21-fixes branch, changeset 18158, and on trunk.

Changed in mythtv:
status: New → Fix Released
Mario Limonciello (superm1) wrote :

closing mythbuntu task as this is fixed in ubuntu now.

Changed in mythbuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.